Skip to main content
GET
List sessions for account

Permissions

Requires a service user with the ViewAccountSessions permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Query Parameters

after
string | null
first
integer
default:100
Required range: 1 <= x <= 200
session_ids
string[] | null
created_after
integer | null
created_before
integer | null
updated_after
integer | null
updated_before
integer | null
tags
string[] | null
playbook_id
string | null
origins
enum<string>[] | null
Available options:
webapp,
slack,
teams,
api,
linear,
jira,
automation,
cli,
desktop,
code_scan,
other
schedule_id
string | null
user_ids
string[] | null
service_user_ids
string[] | null
repo_names
string[] | null

Filter by repository names (e.g., 'owner/repo')

category
enum<string> | null
Available options:
bug_fixing,
ci_cd_and_devops,
code_quality_and_security,
code_review,
code_review_and_analysis,
data_and_automation,
documentation_and_content,
feature_development,
migrations_and_upgrades,
other,
refactoring_and_optimization,
research_and_exploration,
security,
unit_test_generation
is_archived
boolean | null
org_ids
string[] | null
include_deleted_orgs
boolean
default:false

Response

Successful Response

items
SessionResponse · object[]
required
end_cursor
string | null

Cursor to fetch the next page, or None if this is the last page.

has_next_page
boolean
default:false

Whether there are more items available after this page.

total
integer | null

Optional total count (can be omitted for performance).